import java.util.*;
import java.util.stream.*;

public class YieldTest{

  public List<Number> getRandomList(String type){
    Random rand = new Random();

    return switch(type){
      case "double":
        yield rand.doubles(100)
                  .boxed()
                  .collect(Collectors.toList());
      case "int":
        yield rand.ints(100)
                  .boxed()
                  .collect(Collectors.toList());
      case "long":
        yield rand.longs(100)
                  .boxed()
                  .collect(Collectors.toList());
      default:
        throw new IllegalArgumentException(type);
    };
  }

  public static void main(String[] args){
    var t = new YieldTest();
    for(var val : t.getRandomList(args[0])){
      System.out.println(val);
    }
  }
}
